Package com.enonic.xp.issue

## Class CreateIssueParams

- java.lang.Object
- - com.enonic.xp.issue.CreateIssueParams

- Direct Known Subclasses:
    `CreatePublishRequestIssueParams`

      public class CreateIssueParams
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `CreateIssueParams.Builder<B extends CreateIssueParams.Builder>` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `CreateIssueParams​(CreateIssueParams.Builder builder)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CreateIssueParams.Builder` | `create()` |
    `static CreateIssueParams.Builder` | `create​(CreateIssueParams params)` |
    `PrincipalKeys` | `getApproverIds()` |
    `String` | `getDescription()` |
    `IssueId` | `getId()` |
    `IssueType` | `getIssueType()` |
    `PublishRequest` | `getPublishRequest()` |
    `IssueStatus` | `getStatus()` |
    `String` | `getTitle()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CreateIssueParams

          protected CreateIssueParams​(CreateIssueParams.Builder builder)

  - ### Method Detail

    - #### getId

          public IssueId getId()

    - #### getTitle

          public String getTitle()

    - #### getDescription

          public String getDescription()

    - #### getStatus

          public IssueStatus getStatus()

    - #### getApproverIds

          public PrincipalKeys getApproverIds()

    - #### getPublishRequest

          public PublishRequest getPublishRequest()

    - #### getIssueType

          public IssueType getIssueType()

    - #### create

          public static CreateIssueParams.Builder create()

    - #### create

          public static CreateIssueParams.Builder create​(CreateIssueParams params)